JGraph X 1.3.0.0

## com.mxgraph.layout.hierarchical.stage
Class mxMinimumCycleRemover

    java.lang.Object
      com.mxgraph.layout.hierarchical.stage.mxMinimumCycleRemover

All Implemented Interfaces:
  mxHierarchicalLayoutStage

    public class mxMinimumCycleRemover

extends java.lang.Object
implements mxHierarchicalLayoutStage

An implementation of the first stage of the Sugiyama layout. Straightforward longest path calculation of layer assignment

Field Summary
`protected mxHierarchicalLayout` `layout` Reference to the enclosing layout algorithm

Constructor Summary
`mxMinimumCycleRemover(mxHierarchicalLayout layout)` Constructor that has the roots specified

Method Summary
`void` `execute(java.lang.Object parent)` Produces the layer assignmment using the graph information specified

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### layout

    protected mxHierarchicalLayout layout

  Reference to the enclosing layout algorithm

Constructor Detail

### mxMinimumCycleRemover

    public mxMinimumCycleRemover(mxHierarchicalLayout layout)

  Constructor that has the roots specified

Method Detail

### execute

    public void execute(java.lang.Object parent)

  Produces the layer assignmment using the graph information specified

  Specified by:
    `execute` in interface `mxHierarchicalLayoutStage`

JGraph X 1.3.0.0

Copyright (c) 2008 Gaudenz Alder. All rights reserved.